Bug 550145 - shell-mode/comint-dynamic-complete fail to find files larger than 2GB
Summary: shell-mode/comint-dynamic-complete fail to find files larger than 2GB
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xemacs
Version: 12
Hardware: i686
OS: Linux
low
low
Target Milestone: ---
Assignee: Jerry James
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-23 18:27 UTC by Henrique Martins
Modified: 2010-01-14 01:24 UTC (History)
1 user (show)

Fixed In Version: 21.5.29-11.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-14 01:24:17 UTC


Attachments (Terms of Use)

Description Henrique Martins 2009-12-23 18:27:41 UTC
Description of problem:
file name completion in shell-mode doesn't find files larger than 2GB

Version-Release number of selected component (if applicable):
xemacs-21.5.29-9.fc12.i686

How reproducible:
Always

Steps to Reproduce:
1. start plain xemacs with "xemacs -nw -vanilla"
2. type M-x shell
3. cd to directory with "largefile" where "largefile" is larger than 2GB
4. issue ls and check that largefile is indeed in that directory
5. type ls la<TAB> and XEmacs claims "No completions of la"
  
Actual results:
No file name completion

Expected results:
File name completion


Additional info:

Comment 1 Jerry James 2009-12-23 18:54:08 UTC
Are you on a 32-bit system?  You set "Platform" as "All", which I don't believe is correct.  I did this on my 64-bit system:

$ cd /tmp
$ dd if=/dev/zero of=sparse-file bs=1 count=1 seek=3G

Then I followed your recipe above, and XEmacs did complete on "sp<TAB>".  If you are, in fact, on a 32-bit system, then I believe you are a victim of the small size of most-positive-fixnum.  In short, this isn't a bug, it's a feature.

Comment 2 Henrique Martins 2009-12-23 19:05:25 UTC
I'm on a 32-bit system, yes, and why is this a fixture as shell completion works fine outside of XEmacs?

Comment 3 Fedora Update System 2010-01-07 17:55:33 UTC
xemacs-21.5.29-11.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/xemacs-21.5.29-11.fc12

Comment 4 Fedora Update System 2010-01-07 17:55:40 UTC
xemacs-21.5.29-10.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/xemacs-21.5.29-10.fc11

Comment 5 Jerry James 2010-01-07 17:58:45 UTC
Henrique, if this works for you, I will push your patch into the official XEmacs repository.  Thanks for reporting this bug and providing a patch.

Comment 6 Henrique Martins 2010-01-07 19:28:43 UTC
Fixes problem reported in this bug.  Will post if any side effects develop.

Comment 7 Fedora Update System 2010-01-08 19:56:29 UTC
xemacs-21.5.29-10.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xemacs'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2010-0323

Comment 8 Fedora Update System 2010-01-08 20:13:43 UTC
xemacs-21.5.29-11.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xemacs'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0352

Comment 9 Fedora Update System 2010-01-14 01:24:06 UTC
xemacs-21.5.29-10.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-01-14 01:24:28 UTC
xemacs-21.5.29-11.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.